### Function

# Dex file_set_attributes

since: 1.0

#### Declaration [src]

    DexFuture*
    dex_file_set_attributes (
      GFile* file,
      GFileInfo* file_info,
      GFileQueryInfoFlags flags,
      int io_priority
    )

#### Description

No description available.

Available since: 1.0

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`file_info`

  Type: `GFileInfo`

  A `GFileInfo`.

  The data is owned by the caller of the function.

`flags`

  Type: `GFileQueryInfoFlags`

  No description available.

`io_priority`

  Type: `int`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GFileInfo` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.